### Method

# GObject ParamSpec get_redirect_target

since: 2.4

#### Declaration

    GParamSpec*
    g_param_spec_get_redirect_target (
      GParamSpec* pspec
    )

#### Description

If the paramspec redirects operations to another paramspec, returns that paramspec. Redirect is used typically for providing a new implementation of a property in a derived type while preserving all the properties from the parent type. Redirection is established by creating a property of type `GParamSpecOverride`. See `g_object_class_override_property()` for an example of the use of this capability.

Available since: 2.4

#### Return value

Type: `GParamSpec`

Paramspec to which requests on this paramspec should be redirected, or `NULL` if none.

The returned data is owned by the instance.
The return value can be `NULL`.